## org.eclipse.datatools.sqltools.result.ui
Class ExternalResultSetViewerProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.result.ui.ExternalResultSetViewerProvider

    public abstract class ExternalResultSetViewerProvider

extends java.lang.Object

Abstract class that external viewers for the long data must implement

Author:
  Quy On

Constructor Summary
`ExternalResultSetViewerProvider()` Creates an instance of ExternalResultSetViewer

Method Summary
`void` `configureViewer()` Configures the viewer.
`void` `configureViewer(org.eclipse.swt.widgets.Composite parent, IResultInstance instance, IResultSetObject result, boolean showRowCount, ResultsViewControl control)` Configures the result set viewer
`org.eclipse.swt.widgets.Table` `getTable()` Gets this viewers table
`org.eclipse.jface.viewers.TableViewer` `getViewer()` Gets the result set viewer
`void` `setParentComposite(org.eclipse.swt.widgets.Composite parent)`
`void` `setResult(IResultSetObject result)` Sets the IResultSetObject
`void` `setResultInstance(IResultInstance instance)` Sets the IResultInstance instance
`void` `setResultViewControl(ResultsViewControl control)` Sets the Results view control
`void` `setShowRow(boolean showRow)` Sets whether or not to show the row number in the results view
`void` `setStyle(int style)` Sets the style for the table viewer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalResultSetViewerProvider

    public ExternalResultSetViewerProvider()

  Creates an instance of ExternalResultSetViewer

Method Detail

### setParentComposite

    public void setParentComposite(org.eclipse.swt.widgets.Composite parent)

### setStyle

    public void setStyle(int style)

  Sets the style for the table viewer

### setResultInstance

    public void setResultInstance(IResultInstance instance)

  Sets the IResultInstance instance

  Parameters:
    `instance` - the IResultInstance

### setResult

    public void setResult(IResultSetObject result)

  Sets the IResultSetObject

### setShowRow

    public void setShowRow(boolean showRow)

  Sets whether or not to show the row number in the results view

  Parameters:
    `showRow` - whether or not to show the row count

### setResultViewControl

    public void setResultViewControl(ResultsViewControl control)

  Sets the Results view control

  Parameters:
    `control` - the result view control

### configureViewer

    public void configureViewer()

  Configures the viewer. The default implementation creates a ResultSetViewer. Subclasses should extend add additional menus, listeners and label and content providers

### configureViewer

    public void configureViewer(org.eclipse.swt.widgets.Composite parent,
                                IResultInstance instance,
                                IResultSetObject result,
                                boolean showRowCount,
                                ResultsViewControl control)

  Configures the result set viewer

  Parameters:
    `parent` - the parent composite
    `instance` - the IResultInstance
    `result` - the IResultSetObject
    `showRowCount` - whether or not to show the row numbers in the result
    `control` - the ResultsViewControl

### getViewer

    public org.eclipse.jface.viewers.TableViewer getViewer()

  Gets the result set viewer

  Returns:
    the result set viewer

### getTable

    public org.eclipse.swt.widgets.Table getTable()

  Gets this viewers table

  Returns:
    this viewers underlying table